// Variables
@import 'variables';
// Bootstrap
@import '~bootstrap/scss/bootstrap';

html, body {
  background-color: $white;
}

main.main {
  min-height: calc(100vh - 540px);
}

.navbar {
  height: 75px;

  &-brand {
    transition: all 0.3s ease;

    img {
      height: 3rem;
      max-width: 6rem;
      object-fit: contain;
    }
  }

  #localeDropdown {
    > img, + .dropdown-menu > .dropdown-item > img {
      width: 1.5rem;
      height: 1.5rem;
      object-fit: contain;
    }
  }

  .nav-item {
    transition: all 0.3s ease;

    &.active, &:active {
      .nav-link {
        font-weight: bold;
      }
    }

    &.nav-auth {
      align-items: center;
      margin-bottom: 1rem;

      .nav-link {
        border-width: 1px;
        border-radius: $border-radius;
        border-style: solid;
        @include media-breakpoint-down(sm) {
          border-width: 0;
        }
      }
    }
  }

  &.bg-light {
    background-color: $white !important;
  }


  &-dark {
    .navbar-brand {
      filter: brightness(0) invert(1);
    }

    .nav-item {
      > .nav-link {
        color: $white;
      }

      &.nav-auth {
        .nav-link {
          border-color: $white;
        }
      }
    }

    @include media-breakpoint-down(sm) {
      background-color: $white;
      .navbar-brand {
        filter: none;
      }

      .nav-item {
        > .nav-link {
          color: $dark;
        }
      }
    }
  }

  &-light {

    .nav-item {
      > .nav-link {
        color: $dark;
      }

      &.nav-auth {
        .nav-link {
          border-color: $border-radius;
        }
      }

      &.active, &:active, &:hover {
        .nav-link {
          color: $black;
        }
      }
    }
  }

  @include media-breakpoint-down(sm) {
    padding-left: 0;
    padding-right: 0;
    .navbar-collapse {
      z-index: 1000;
      background-color: $white;
      padding-left: 1rem;
      padding-right: 1rem;

      .nav-link {
        color: $dark !important;
      }
    }
    .navbar-toggler {
      border-color: rgba($black, 0.5);

      &-icon {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='rgba(0, 0, 0, 0.5)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
      }
    }
  }


}

#wrapper {
  //noinspection CssUnknownTarget
  background-image: url("/assets/images/main-min.png");
  background-position: left bottom;
  background-attachment: fixed;
  height: 100vh;
  width: 100%;
  min-height: 40rem;
  max-height: 50rem;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-end;
  font-family: $font-family-alternate;
  position: relative;

  * {
    z-index: 1;
  }

  &:after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba($blue-whale, 0.5);
    z-index: 0;
  }

  @include media-breakpoint-down(sm) {
    align-items: center;
    justify-content: center;
    h1 {
      font-size: $h4-font-size;
    }
  }
}

.title {
  color: $primary;
  text-transform: uppercase;
  font-weight: bold;
}

#about {
  ul {
    li {
      position: relative;
      padding-left: 1rem;
      margin-bottom: 0.5rem;

      &:before {
        content: "";
        position: absolute;
        left: 0;
        top: 50%;
        transform: translateY(-50%);
        width: 6px;
        height: 6px;
        background-color: $primary;
        border-radius: 50%;
      }
    }
  }
}

#services {
  .service {
    display: flex;

    > div {
      &:first-child {
        flex: 1.1;
        @include media-breakpoint-only(md) {
          flex: 2;
        }
      }

      &:last-child {
        flex: 1;
      }
    }

    .carousel-control-prev-icon, .carousel-control-next-icon {
      filter: brightness(0.5);
    }

    img {
      width: 100%;
    }

    &:nth-child(even) {
      flex-direction: row;
    }

    &:nth-child(odd) {
      flex-direction: row-reverse;
    }

    @include media-breakpoint-down(sm) {
      flex-direction: column-reverse !important;
      h4 {
        font-size: $h5-font-size;
      }
    }

    @include media-breakpoint-down(xs) {
      h4 {
        font-size: $h6-font-size;
      }
    }
  }
}

#dislocation {
  //noinspection CssUnknownTarget
  background-image: url("/assets/images/main-min.png");
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;

  * {
    z-index: 1;
  }

  &:after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba($blue-whale, 0.5);
    z-index: 0;
  }

  .btn {
    box-shadow: 0 4px 20px rgba(#ffb300, 0.68);
    border-radius: 50px;
    background-color: $orange;
  }
}

#application {
  .btn {
    box-shadow: 0 4px 20px rgba(#ffb300, 0.68);
    border-radius: 50px;
    background-color: $orange;
  }
}

#clients {
  .client {
    width: 20%;
    filter: grayscale(100%);
    @include media-breakpoint-down(sm) {
      width: 25%;
    }
  }
}

#benefits {
  .benefit {
    img {
      width: 5rem;
      height: 5rem;
      object-fit: contain;
    }
  }
}

footer.footer {
  .footer__top {
    background-color: #193067;

    .btn {
      background-color: $orange;
    }

    .list-unstyled {
      li {
        address, a {
          color: $white;
        }

        img {
          width: 1.5rem;
          height: 1.5rem;
          object-fit: contain;
          margin-right: 2rem;
        }
      }
    }
  }

  .footer__bottom {
    background-color: #09193E;
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: column;

    span {
      opacity: 0.5;
    }
  }

  .footer__logo {
    width: 5rem;
    object-fit: contain;
    opacity: 0.5;
    display: inline-block;
    margin-bottom: 0.5rem;
  }
}

#wrapperMini {
  height: 15rem;
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;

  * {
    z-index: 1;
  }

  &:after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba($blue-whale, 0.5);
    z-index: 0;
  }
}

article {
  background-repeat: no-repeat;
  background-size: 100% 50rem;
  background-position: left bottom;
  padding-bottom: 40rem;
  @include media-breakpoint-between(md, lg) {
    background-size: 100% 35rem;
    padding-bottom: 30rem;
  }

  @include media-breakpoint-down(sm) {
    background-size: 100% 15rem;
    padding-bottom: 10rem;
  }

  .content {
    img, iframe {
      width: 100% !important;
    }

    h1, h2, h3, h4, h5, h6 {
      color: $primary !important;
      font-weight: bold;
    }

    ul {
      list-style: none;
      padding: 0;

      li {
        position: relative;
        padding-left: 1rem;
        margin-bottom: 0.5rem;

        &:before {
          content: "";
          position: absolute;
          left: 0;
          top: 50%;
          transform: translateY(-50%);
          width: 6px;
          height: 6px;
          background-color: $primary;
          border-radius: 50%;
        }
      }
    }

    ol {
      list-style: none;
      padding: 0;
      counter-reset: number-counter;

      li {
        counter-increment: number-counter;
        padding-left: 1rem;
        position: relative;
        margin-bottom: 0.5rem;

        &:before {
          content: counter(number-counter);
          color: $primary;
          font-weight: bold;
          font-size: 1.2rem;
          position: absolute;
          top: -0.2rem;
          left: 0;
        }
      }
    }
  }
}

#loginModal {
  .btn {
    background-color: $orange;
    box-shadow: 0 4px 20px rgba(#ffb300, 0.68);
  }
}

.toast {
  z-index: 2000;
  position: fixed;
  right: 1rem;
  top: 1rem;
}

#track {
  .avatar {
    width: 10rem;
    @include media-breakpoint-between(md, lg) {
      width: 8rem;
    }
    @include media-breakpoint-down(sm) {
      width: 5rem;
    }
  }
}

.pagination {
  justify-content: center;
}
